type
   TType = (tyInt, tyLong, tySingle, tyDouble, tyExtended, tyChar, tyString);

var
   n: integer;
   format: string;
   a: array [1..200] of TType;
   nA: integer;
   error, i: integer;

procedure add(t: TType);
begin
   inc(nA);
   a[nA] := t;
end;

function readType: TType;
var
   s: string;
begin
   readln(s);
   if s = 'int' then
      readType := tyInt
   else if s = 'longint' then
      readType := tyLong
   else if s = 'double' then
      readType := tyDouble
   else if s = 'string' then
      readType := tyString
   else if s = 'char' then
      readType := tyChar
   else if s = 'single' then
      readType := tySingle
   else if s = 'extended' then
      readType := tyExtended;
end;

procedure skipDigits(var i: integer);
begin
   while (i <= length(format)) and (format[i] >= '0') and (format[i] <= '9') do
      inc(i);
end;

procedure parseFormat(var i: integer);
begin
   if (i <= length(format)) and (format[i] = '%') then
      exit;
   if (i <= length(format)) and ((format[i] = '-') or (format[i] = '+')) then
      inc(i);
   if (i <= length(format)) and (format[i] = '*') then begin
      add(tyInt);
      inc(i);
   end else
      skipDigits(i);
   if (i <= length(format)) and (format[i] = '.') then begin
      inc(i);
      if (i <= length(format)) and (format[i] = '*') then begin
         add(tyInt);
         inc(i);
      end else
         skipDigits(i);
   end;
   case format[i] of
      'd': add(tyInt);
      'l': begin
              inc(i);
              if (i <= length(format)) then
              case format[i] of
                 'd': add(tyLong);
                 'f', 'e', 'g', 'E', 'G': add(tyDouble);
              end;
           end;
      'L': begin
              inc(i);
              if (i <= length(format)) then
              case format[i] of
                 'f', 'e', 'g', 'E', 'G': add(tyExtended);
              end;
           end;
      'c': add(tyChar);
      's': add(tyString);
      'f', 'e', 'g', 'E', 'G': add(tySingle);
   end;
end;

begin
   Assign(input, 'input.txt');
   Assign(output, 'output.txt');
   Reset(input);
   Rewrite(output);

   readln(n);
   readln(format);
   nA := 0;
   i := 2;
   error := 0;
   while i <= length(format) do begin
      case format[i] of
         '%': begin
                 inc(i);
                 parseFormat(i);
              end;
         '\': begin
                 if format[i] = '"' then
                    inc(i);
              end;
         '"': break;
      end;
      inc(i);
   end;

   for i := 1 to nA do
      if eof then begin
         error := 2;
         break;
      end else if readType <> a[i] then begin
         error := 1;
         break;
      end;
   if (error = 0) and (nA < n - 1) then
      error := 3;
   if error = 0 then
      write('OK')
   else
      write('ERROR ', error);

   Close(input);
   Close(output);
end.