/* 6 祬 ࠫ  ணࠬ஢
   ()  .., 2002
   譠 , 祭 १,
   ஢ઠ  ७ .
*/
#include <stdio.h>
#include <math.h>
#define eps (1.0e-6)
double vect(double x0, double y0, double x1, double y1, double x2, double y2)
{
  return (x1-x0)*(y2-y0)-(x2-x0)*(y1-y0);
}
double scalar(double x1, double y1, double x2, double y2)
{ return x1*x2+y1*y2;
}
double min(double a, double b)
{
  return a>b?b:a;
}
double max(double a, double b)
{
  return a>b?a:b;
}
int iscross(double x1, double y1, double x2, double y2,
          double x3, double y3, double x4, double y4,
          double *xp, double *yp)
{ double mx1,my1,mx2,my2,mx3,my3,mx4,my4;
  double a1,b1,c1,a2,b2,c2;
  mx1=min(x1,x2);
  my1=min(y1,y2);
  mx2=max(x1,x2);
  my2=max(y1,y2);
  mx3=min(x3,x4);
  my3=min(y3,y4);
  mx4=max(x3,x4);
  my4=max(y3,y4);
  if(mx2>=mx3 && mx4>=mx1 && my2>=my3 && my4>=my1 &&
     vect(x1,y1,x3,y3,x2,y2)*vect(x1,y1,x4,y4,x2,y2)<=0 &&
     vect(x3,y3,x1,y1,x4,y4)*vect(x3,y3,x2,y2,x4,y4)<=0)
  { a1=y1-y2;
    b1=x2-x1;
    c1=(y2-y1)*x1-(x2-x1)*y1;
    a2=y3-y4;
    b2=x4-x3;
    c2=(y4-y3)*x3-(x4-x3)*y3;
    *xp=(c2*b1-c1*b2)/(a1*b2-a2*b1);
    *yp=(a2*c1-a1*c2)/(a1*b2-a2*b1);
    return 1;
  }
  return 0;
}
int innerpoint(double xp, double yp, double x1, double y1,
     double x2, double y2, double x3, double y3)
{ double sgn,scr;
  sgn=0;
  scr=vect(xp,yp,x1,y1,x2,y2);
  if(scr!=0) sgn=scr;
  scr=vect(xp,yp,x2,y2,x3,y3);
  if(scr!=0)
  { if(scr*sgn<0) return 0;
    sgn=scr;
  }
  scr=vect(xp,yp,x3,y3,x1,y1);
  if(scr!=0)
  { if(scr*sgn<0) return 0;
    sgn=scr;
  }
  return 1;
}
int crosstwice(double xt, double yt, double x1, double y1,
     double x2, double y2, double x3, double y3)
{ double xp,yp,xp1,yp1;
  if(iscross(0,0,xt,yt,x1,y1,x2,y2,&xp,&yp))
  { if(iscross(0,0,xt,yt,x2,y2,x3,y3,&xp1,&yp1) && 
        (fabs(xp1-xp)>eps || fabs(yp1-yp)>eps)) return 1;
    if(iscross(0,0,xt,yt,x1,y1,x3,y3,&xp1,&yp1) && 
        (fabs(xp1-xp)>eps || fabs(yp1-yp)>eps)) return 1;
  }
  else if(iscross(0,0,xt,yt,x2,y2,x3,y3,&xp,&yp))
  {
    if(iscross(0,0,xt,yt,x1,y1,x3,y3,&xp1,&yp1) && 
        (fabs(xp1-xp)>eps || fabs(yp1-yp)>eps)) return 1;
  }
  return 0;
}
int main()
{
  FILE *f;
  double xt,yt,x0,y0,x1,y1,x2,y2,s,xh,yh,xp,yp;
  int i;
  f=fopen("input.txt","r");
  fscanf(f,"%lf%lf",&xt,&yt);
  fclose(f);
  xt=floor(xt*1000+0.001);
  yt=floor(yt*1000+0.001);
  x1=y1=0;
  x2=y2=10000;
  x0=10000;y0=0;
  s=0;
  for(i=0;i<20;i++)
  { xh=(x1+x2)/2;
    yh=(y1+y2)/2;
    /* printf("%.3f %.3f %.3f %.3f %.3f %.3f\n",x1,y1,x0,y0,x2,y2); */
    if(crosstwice(xt,yt,x0,y0,xh,yh,x1,y1) ||
       !innerpoint(xt,yt,x0,y0,xh,yh,x1,y1))
    {
      if(crosstwice(xt,yt,x0,y0,xh,yh,x1,y1))
        s+=((xh-x0)*(xh-x0)+(yh-y0)*(yh-y0))/2;
      x1=x0;
      y1=y0;
      x0=xh;
      y0=yh;
    }
    else
    {
      if(crosstwice(xt,yt,x0,y0,xh,yh,x2,y2))
        s+=((xh-x0)*(xh-x0)+(yh-y0)*(yh-y0))/2;
      x2=x0;
      y2=y0;
      x0=xh;
      y0=yh;
    }
  }
  f=fopen("output.txt","w");
  fprintf(f,"%.3f\n",s/1.0e6);
  fclose(f);
  return 0;
}